"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("./config");
const path = require('path');
const fs = require('fs');
const cache = {};
class ConfigLoader {
    fromTarget(filename) {
        if (filename === 'inline') {
            return config_1.Config.empty();
        }
        if (filename in cache) {
            return cache[filename];
        }
        let current = path.resolve(path.dirname(filename));
        let config = config_1.Config.empty();
        for (;;) {
            const search = path.join(current, '.htmlvalidate.json');
            if (fs.existsSync(search)) {
                const local = config_1.Config.fromFile(search);
                config = local.merge(config);
            }
            const child = current;
            current = path.dirname(current);
            if (current === child) {
                break;
            }
        }
        cache[filename] = config;
        return config;
    }
}
exports.ConfigLoader = ConfigLoader;
