"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rule_1 = require("../rule");
const validTypes = ['submit', 'button', 'reset'];
class ButtonType extends rule_1.Rule {
    setup() {
        this.on('dom:ready', (event) => {
            const buttons = event.document.getElementsByTagName('button');
            buttons.forEach((node) => {
                const attr = node.getAttribute('type');
                if (attr === null) {
                    this.report(node, "Button is missing type attribute");
                }
                else if (validTypes.indexOf(attr.value.toLowerCase()) === -1) {
                    this.report(node, `Button has invalid type "${attr.value}"`, attr.location);
                }
            });
        });
    }
}
module.exports = ButtonType;
