"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rule_1 = require("../rule");
class CloseAttr extends rule_1.Rule {
    setup() {
        this.on('tag:close', (event) => {
            if (typeof event.target === 'undefined') {
                return;
            }
            if (event.previous === event.target) {
                return;
            }
            if (Object.keys(event.target.attr).length > 0) {
                this.report(event.target, "Close tags cannot have attributes");
            }
        });
    }
}
module.exports = CloseAttr;
