"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rule_1 = require("../rule");
const meta_1 = require("../meta");
class ElementPermittedOrder extends rule_1.Rule {
    setup() {
        this.on('dom:ready', (event) => {
            const doc = event.document;
            doc.visitDepthFirst((node) => {
                if (!node.meta) {
                    return;
                }
                const rules = node.meta.permittedOrder;
                meta_1.Validator.validateOrder(node.children, rules, (child, prev) => {
                    this.report(child, `Element <${child.tagName}> must be used before <${prev.tagName}> in this context`);
                });
            });
        });
    }
}
module.exports = ElementPermittedOrder;
