"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rule_1 = require("../rule");
class NoDupAttr extends rule_1.Rule {
    setup() {
        let attr = {};
        this.on('tag:open', () => {
            attr = {};
        });
        this.on('attr', (event) => {
            const name = event.key.toLowerCase();
            if (name in attr) {
                this.report(event.target, `Attribute "${name}" duplicated`);
            }
            attr[event.key] = true;
        });
    }
}
module.exports = NoDupAttr;
