"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rule_1 = require("../rule");
const dom_1 = require("../dom");
class NoDupClass extends rule_1.Rule {
    setup() {
        this.on('attr', (event) => {
            if (event.key.toLowerCase() !== 'class') {
                return;
            }
            const classes = new dom_1.DOMTokenList(event.value);
            const unique = new Set();
            classes.forEach(cur => {
                if (unique.has(cur)) {
                    this.report(event.target, `Class "${cur}" duplicated`, event.location);
                }
                unique.add(cur);
            });
        });
    }
}
module.exports = NoDupClass;
