"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rule_1 = require("../rule");
class NoDupID extends rule_1.Rule {
    setup() {
        this.on('dom:ready', (event) => {
            const existing = {};
            const elements = event.document.querySelectorAll('[id]');
            elements.forEach(el => {
                if (el.id in existing) {
                    this.report(el, `Duplicate ID "${el.id}"`);
                }
                existing[el.id] = true;
            });
        });
    }
}
module.exports = NoDupID;
